> For the complete documentation index, see [llms.txt](https://docs.plutu.ly/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plutu.ly/api-documentation/authentication/ip-whitelist.md).

# IP Whitelist

IP Whitelist is an optional but recommended feature for your account, especially for your (Production) Live Environment. It automatically filters your requests to whitelist them if they are coming from your own servers or reject them otherwise. whether the key is live or test. That means when you, for example, enable IP Whitelist for your account, you will be restricting all requests with a whitelist.

When IP Whitelist is enabled for your account, and Plutu receives an HTTP request authenticated with your access token, Plutu will validate the IP Address of this incoming request, then the request will be automatically rejected if the IP Address is not whitelisted in your IP Whitelist.

### How to add an IP  to the whitelist?

To add an IP to the whitelist, go to your Dashboard and visit your account **Configurations** > **API Whitelisted IPs**.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.plutu.ly/api-documentation/authentication/ip-whitelist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
